SolrQuery::getHighlightSimplePre
SolrQuery::getHighlightUsePhraseHighlighter
SolrQuery
PHP Manual

# SolrQuery::getHighlightSnippets

(PECL solr >= 0.9.2)

SolrQuery::getHighlightSnippets — Returns the maximum number of highlighted snippets to generate per field

### Description

public int SolrQuery::getHighlightSnippets ([ string `$field_override` ] )

Returns the maximum number of highlighted snippets to generate per field. Accepts an optional field override

### Parameters

`field_override`

  The name of the field

### Return Values

Returns an integer on success and `NULL` if not set.

SolrQuery::getHighlightSimplePre
SolrQuery::getHighlightUsePhraseHighlighter
SolrQuery
PHP Manual